> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authorization Status

> Use this API to fetch the status of the authorisation request. Provide the authID that is available in the Create Auth API response. This API is applicable only if you have created a subscription using the Create Seamless Subscription API



## OpenAPI

````yaml get /api/v2/subscriptions/seamless/authorization/{authId}/poll
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/seamless/authorization/{authId}/poll:
    get:
      tags:
        - Seamless APIs
      summary: Get Authorization Status
      description: >-
        Use this API to fetch the status of the authorisation request. Provide
        the authID that is available in the Create Auth API response. This API
        is applicable only if you have created a subscription using the Create
        Seamless Subscription API
      operationId: getAuthorizationStatus
      parameters:
        - name: authId
          in: path
          required: true
          schema:
            type: string
            description: Authorization ID to poll the status for.
            example: '123456'
        - name: x-client-id
          in: header
          schema:
            type: string
            example: '{{X-Client-Id}}'
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: '{{X-Client-Secret}}'
      responses:
        '200':
          description: Successful authorization status fetch.
          content:
            application/json:
              examples:
                Payment Type UPI:
                  value:
                    status: 200
                    message: Auth status fetched successfully
                    data:
                      authStatus: PENDING
                      subReferenceId: 99124
                      paymentType: UPI
                      umn: abcdefghijklmnop@okaxis
                      subscriptionId: test-1674467137-ss
                      authAmount: 1
                      orderId: SUB_110926_AUTH_122424
                Payment Type E_MANDATE:
                  value:
                    status: 200
                    message: Auth status fetched successfully
                    data:
                      authStatus: PENDING
                      subReferenceId: 99124
                      paymentType: E_MANDATE
                      umrn: SBIN000000000000
                      subscriptionId: test-1674467137-ss
                      authAmount: 0
                      orderId: SUB_110926_AUTH_122424
                Failed Authorization:
                  value:
                    status: 200
                    message: Auth Status Fetched Successfully
                    data:
                      failureReason: >-
                        RESPAUTHMANDATE DECLINED BY PSP | TRANSACTION DECLINED
                        BY CUSTOMER
                      authStatus: FAILED
                      authAmount: 1
                      subReferenceId: 99911
                      paymentType: UPI
                      orderId: SUB_96805677_AUTH_12344
                      subscriptionId: test-1674467137-ss
        '400':
          description: Bad request due to invalid authorization ID or other issues.
          content:
            application/json:
              examples:
                Invalid Auth ID:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: 'Authorization Does not exist for id : 112377'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````